# Macroeconomic Historical Data

`GET` `/v2/quote/macrodata`

Get historical releases for a specific macroeconomic indicator — actual values, forecasts, previous values, and next release dates.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `indicator_code` | string | Yes | Indicator code from `macroeconomic_indicators` |
| `start_date` | string | No | Start date in `YYYY-MM-DD` format |
| `end_date` | string | No | End date in `YYYY-MM-DD` format |
| `offset` | integer | No | Pagination offset. Default: 0 |
| `limit` | integer | No | Max records. Default: 100, max: 100 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v2/quote/macrodata?indicator_code=<indicator_code>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `info` | MacroeconomicIndicator | Yes | Indicator metadata |
| `data` | Macroeconomic[] | Yes | Historical data points |
| `count` | int | Yes | Total number of data points |
| `period` | string | Yes | Statistical period (e.g. `2024-12-01`, `2024-Q4`) |
| `release_at` | int | No | Unix timestamp of release datetime |
| `actual_value` | string | Yes | Actual released value |
| `previous_value` | string | Yes | Previous period value |
| `forecast_value` | string | Yes | Market consensus forecast |

### Response JSON Example

```json
{
  "count": 24,
  "info": {
    "indicator_code": "61744",
    "country": "US",
    "name": "Non-Farm Payroll",
    "periodicity": "Monthly",
    "describe": "...",
    "importance": 3
  },
  "data": [
    {
      "period": "2024-12-01",
      "release_at": 1735900200,
      "actual_value": "256000",
      "previous_value": "212000",
      "forecast_value": "165000"
    }
  ]
}
```
